#
# spec file for package python-google-cloud-core
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without python2
Name:           python-google-cloud-core
Version:        1.3.0
Release:        1.25
Summary:        Google Cloud API client core library
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/GoogleCloudPlatform/google-cloud-python
Source:         https://files.pythonhosted.org/packages/source/g/google-cloud-core/google-cloud-core-%{version}.tar.gz
BuildRequires:  %{python_module google-api-core >= 1.16.0}
BuildRequires:  %{python_module grpcio >= 1.8.2}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-google-api-core >= 1.16.0
Recommends:     python-grpcio >= 1.8.2
BuildArch:      noarch
%if %{with python2}
BuildRequires:  python-futures
%endif
%ifpython2
Requires:       python-futures >= 3.2.0
%endif
%python_subpackages

%description
Core Helpers for Google Cloud Python Client Library
This library is not meant to stand-alone. Instead it defines
common helpers (e.g. base ``Client`` classes) used by all of the
``google-cloud-*`` packages.

%prep
%setup -q -n google-cloud-core-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Mon Apr 20 2020 tchvatal@suse.com
- Fix build without python2
* Wed Apr  8 2020 mcalabkova@suse.com
- Update to 1.3.0
  * Add timeout param to JSONConnection.api_request().
  * Change default api_request() timeout to non-None
* Thu Sep 12 2019 tchvatal@suse.com
- Update to 1.0.3:
  * Make Client.build_api_url an instance method.
  * Prevent requests from hanging on SSL handshake
* Thu May 16 2019 kwu@suse.com
- Update to v1.0.0
  * Remove classifier for Python 3.4 for end-of-life. (#7535)
  * Refactor client_info support. (#7849)
  * Update dep on api_core >= 1.11.0. (#7986)
  * Updated client library documentation URLs. (#7307)
* Mon Feb 18 2019 jayvdb@gmail.com
- Activate tests
- Increased minimum google-api-core >= 1.0.0 per upstream
- Update to v0.29.1
  * Document Python 2 deprecation
- from 0.29.0
  * Breaking Changes
  - Remove iam module from core. This module is now available as part of
    google-api-core.
  * Implementation Changes
  - Fix _time_from_iso8601_time_naive for values with micros.
  - Import stdlib ABCs from collections.abc rather than collections.
  * Dependencies
  - Bump minimum api_core version to 1.0.0.
  * Internal / Testing Changes
  - Blacken api_core and core.
  - Add / fix badges for PyPI / versions.
  - Use new Nox. (#6175)
  - Use inplace installs for nox
  - Fix bad trove classifier.
  - Add Test runs for Python 3.7 and remove 3.4
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Tue May 29 2018 tbechtold@suse.com
- Initial packaging (version 0.28.1)
